/**************************************************
*  FILE:  allegro_joystick.h                      *
*  AUTHOR:  Steven Silvey                         *
*  DATE:  5/07/2006                               *
*                                                 *
**************************************************/

#ifndef _ALLEGRO_JOYSTICK_H_
#define _ALLEGRO_JOYSTICK_H_

typedef class JOY joy_save;

#include "game.h"

class JOY
{
public:
    int joy_mapping[MAX_MAPPING];
	int joy_value_mapping[MAX_MAPPING];

	JOY();
	~JOY();

	void map(int iIndex, int iType, int iValue);
	bool MAP(int iValue);
	bool MAP(int mPID, int iValue);
};

#endif /* End of _ALLEGRO_JOYSTICK_H_*/

